Subject: Re: bug#37689: Fringe pixmaps, widgets, etc. look ridiculously tiny in hidpi screen

From: Carlos Pita <[email-masked]>
Date: Fri, 11 Oct 2019 21:51:02 -0300

> If you accept to recompute the pixmap on-the-fly each time

I've been thinking that in a multi-monitor / multi-dpi world this
(though maybe coupled with some caching strategy, as I proposed in my
previous email) might be the only sensible approach.

If you agree I might try implementing something like what my advice
above does, but inside get_fringe_bitmap_data, with caching and
generalizing it to more scaling factors; nevertheless, I would be
keeping the integer scaling simplification since fractional scaling,
specially for such tiny bitmaps, would require a lot of handcrafting.